Health Private
- This endpoint allows you to verify that the Deepfaic APIs are operational and that your authentication token is valid.
GET /v1/healthauth
Auth and Rate Limits
- Authentication is required for this endpoint. You must include a valid API key in the
Authorizationheader. - This API call is rate limited to
100 requests per minute.
Request Body
- This endpoint does not require a request body.
Response
- The API will respond with a JSON object confirming the API status and authentication validity.
{
"status": true,
"code": 200,
"message": "API is healthy",
"data": null
}
Example Request
- Here is an example of how to check the protected API health using
curl.
curl https://api.deepfaic.com/v1/healthauth \
-H "Authorization: Bearer <api_key>"